| OpenNI 2.0

- Main Page
- Namespaces
- Classes
- Files

- File List

Namespaces | Enumerations | Variables
OniEnums.h File Reference

Go to the source code of this file.

## Namespaces

namespace | openni

## Enumerations

enum | openni::DeviceState { openni::DEVICE_STATE_OK = 0, openni::DEVICE_STATE_ERROR = 1, openni::DEVICE_STATE_NOT_READY = 2, openni::DEVICE_STATE_EOF = 3 }
enum | openni::ImageRegistrationMode { openni::IMAGE_REGISTRATION_OFF = 0, openni::IMAGE_REGISTRATION_DEPTH_TO_COLOR = 1 }
enum | openni::PixelFormat { openni::PIXEL_FORMAT_DEPTH_1_MM = 100, openni::PIXEL_FORMAT_DEPTH_100_UM = 101, openni::PIXEL_FORMAT_SHIFT_9_2 = 102, openni::PIXEL_FORMAT_SHIFT_9_3 = 103, openni::PIXEL_FORMAT_RGB888 = 200, openni::PIXEL_FORMAT_YUV422 = 201, openni::PIXEL_FORMAT_GRAY8 = 202, openni::PIXEL_FORMAT_GRAY16 = 203, openni::PIXEL_FORMAT_JPEG = 204, openni::PIXEL_FORMAT_YUYV = 205 }
enum | openni::SensorType { openni::SENSOR_IR = 1, openni::SENSOR_COLOR = 2, openni::SENSOR_DEPTH = 3 }
enum | openni::Status { openni::STATUS_OK = 0, openni::STATUS_ERROR = 1, openni::STATUS_NOT_IMPLEMENTED = 2, openni::STATUS_NOT_SUPPORTED = 3, openni::STATUS_BAD_PARAMETER = 4, openni::STATUS_OUT_OF_FLOW = 5, openni::STATUS_NO_DEVICE = 6, openni::STATUS_TIME_OUT = 102 }

## Variables

static const int | openni::TIMEOUT_FOREVER = -1
static const int | openni::TIMEOUT_NONE = 0